View Issue Details

IDProjectCategoryView StatusLast Update
0001719Common[All Projects] Generalpublic2016-09-21 23:28
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version2.0.12 
Summary0001719: COmmit hook pour uris.xml et www.xml
DescriptionIl faudrait que si j'ajoute ou si je supprime un fichier dans www/, et que uris.xml et www.xml existent, alors un hook va vérifier que j'ai bien mis ces deux fichiers à jour.

Si je ne l'ai pas fait, le hook doit me renvoyer une alerte et me demander confirmation du commit.

Cela m'évitera les réguliers commits modifiant le contenu de www/, suivis d'un à plusieurs commits destinés à répercuter les changements dans uris.xml et dans www.xml
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2016-09-16 21:58

administrator   ~0002290

Hop, réglé, avec la possibilité de bypasser ce check.

En effet, je peux ajouter/supprimer des trucs dans le dossier www/ sans qu'il soit nécessaire de mettre à jour le www.xml (puisqu'il contient des regex, donc elles peuvent être assez larges pour ne pas nécessiter d'être mises à jour) et sans qu'il soit nécessaire de mettre à jour le uris.xml (car les fichiers ajoutés/supprimés ne sont peut-être pas appelés par les tests Selenium).

Issue History

Date Modified Username Field Change
2016-09-10 15:16 Xenos New Issue
2016-09-10 15:16 Xenos Status New => Accepted
2016-09-16 21:32 Xenos Assigned To => Xenos
2016-09-16 21:32 Xenos Status Accepted => In progress
2016-09-16 21:58 Xenos Note Added: 0002290
2016-09-16 21:58 Xenos Status In progress => Close
2016-09-16 21:58 Xenos Resolution open => fixed
2016-09-21 23:28 AutoUpdater Fixed in Version => 2.0.12